package com.ensign.crm.module.system.controller.admin.auth.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: 云之家登录参数
 * @Date: 2025/1/14 14:24
 * @Created: by ZZSLL
 */

@Schema(description = "管理后台 - 云之家OpenId登录 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AuthOpenIdLoginReqVO {
    private String openId;
}
